From 9abb67f2a204a1c84498fd979be5e8df31d299c7 Mon Sep 17 00:00:00 2001
From: Ray Kohler <ataraxia937@gmail.com>
Date: Thu, 2 Aug 2012 19:42:22 -0400
Subject: [PATCH] upgrade to 0.107

As it's been marked out-of-date for a while, and I'm interested in it,
I've done the work to upgrade the polkit package to 0.107. I've tested
this package locally. The main value of this upgrade (for me at least)
is systemd integration, including proper systemd-style bus activation.

This now wants a dedicated user and group, by default 'polkitd'.  I
re-used 102, which was listed as 'policykit' in the UID/GID database.
Hopefully it really was unused. The build depends on this user and group
already being present (otherwise 'make install' fails to chown some
directories, and polkitd fails to read them and dies).

It now depends on 'js', which I added. Addition of one more 8 MB dep
doesn't seem a problem.

As we now have pambase, the shipped pam config, which just uses
system-auth, is useful to us. I removed the old, locally written, pam
file.

Let me know if you'd rather I put this patch in the bugtracker.
---
 PKGBUILD       | 13 +++++--------
 polkit.install | 19 +++++++++++++++++++
 polkit.pam     |  7 -------
 3 files changed, 24 insertions(+), 15 deletions(-)
 create mode 100644 polkit.install
 delete mode 100644 polkit.pam

diff --git a/PKGBUILD b/PKGBUILD
index cd3690e..5e8060d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,20 +2,19 @@
 # Maintainer: Jan de Groot <jgc@archlinux.org>
 
 pkgname=polkit
-pkgver=0.105
+pkgver=0.107
 pkgrel=1
 pkgdesc="Application development toolkit for controlling system-wide privileges"
 arch=(i686 x86_64)
 license=('LGPL')
 url="http://www.freedesktop.org/wiki/Software/PolicyKit"
-depends=('glib2' 'pam' 'expat')
+depends=('glib2' 'pam' 'expat' 'js')
 makedepends=('intltool' 'gtk-doc' 'gobject-introspection')
 replaces=('policykit')
+install=polkit.install
 options=('!libtool')
-source=(http://www.freedesktop.org/software/polkit/releases/$pkgname-$pkgver.tar.gz
-        polkit.pam)
-md5sums=('9c29e1b6c214f0bd6f1d4ee303dfaed9'
-         '6564f95878297b954f0572bc1610dd15')
+source=(http://www.freedesktop.org/software/polkit/releases/$pkgname-$pkgver.tar.gz)
+md5sums=('0e4f9c53f43fd1b25ac3f0d2e09b2ae1')
 
 build() {
   cd $pkgname-$pkgver
@@ -28,6 +27,4 @@ build() {
 package() {
   cd $pkgname-$pkgver
   make DESTDIR="$pkgdir" install
-
-  install -m644 "$srcdir/polkit.pam" "$pkgdir/etc/pam.d/polkit-1"
 }
diff --git a/polkit.install b/polkit.install
new file mode 100644
index 0000000..94a599a
--- /dev/null
+++ b/polkit.install
@@ -0,0 +1,19 @@
+post_install() {
+	getent group polkitd >/dev/null || groupadd -g 102 polkitd
+	getent passwd polkitd >/dev/null || useradd -c 'Policy Kit Daemon' -u 102 -g polkitd -d '/' -s /bin/false polkitd
+	passwd -l polkitd &>/dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	if getent passwd polkitd >/dev/null; then
+		userdel polkitd
+	fi
+	if getent group polkitd >/dev/null; then
+		groupdel polkitd
+	fi
+}
+
diff --git a/polkit.pam b/polkit.pam
deleted file mode 100644
index 04f53e0..0000000
--- a/polkit.pam
+++ /dev/null
@@ -1,7 +0,0 @@
-auth            requisite       pam_nologin.so
-auth            required        pam_env.so
-auth            required        pam_unix.so
-account         required        pam_unix.so
-session         required        pam_limits.so
-session         required        pam_unix.so
-password        required        pam_unix.so
-- 
1.7.11.4

